        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE HALLTM__genmod
          INTERFACE 
            SUBROUTINE HALLTM(QQ,Y,Y3,Y5,Y7,TH1,TH2,TH3)
              REAL(KIND=4) :: QQ
              REAL(KIND=4) :: Y
              REAL(KIND=4) :: Y3
              REAL(KIND=4) :: Y5
              REAL(KIND=4) :: Y7
              REAL(KIND=4) :: TH1
              REAL(KIND=4) :: TH2
              REAL(KIND=4) :: TH3
            END SUBROUTINE HALLTM
          END INTERFACE 
        END MODULE HALLTM__genmod
